%define native %nil
Name:          openorb-native
Version:       1.4.0
Release:       %mkrel 2
Summary:       OpenORB Native Libraries
Group:         Development/Java
URL:           http://openorb.sourceforge.net/
# cvs -d:pserver:anonymous@openorb.cvs.sourceforge.net:/cvsroot/openorb login
# press enter
# cvs -z3 -d:pserver:anonymous@openorb.cvs.sourceforge.net:/cvsroot/openorb export -r native_1_4_0_RELEASE native
# tar czf openorb-native-1.4.0-src-cvs.tar.gz native
Source0:       openorb-native-%{version}-src-cvs.tar.gz
Source1:       http://downloads.sourceforge.net/project/openorb/tools/%{version}/Tools-%{version}-src.tgz
Patch0:        openorb-native-1.4.0-build_xml.patch
License:       BSD
BuildRequires: ant
BuildRequires: ant-contrib
BuildRequires: cpptasks
BuildRequires: gcc
BuildRequires: java-devel
BuildRequires: jpackage-utils
BuildRequires: junit
BuildRequires: classpath-devel
Requires:      jpackage-utils

%description
OpenORB is a CORBA Object Request Broker fully developed in
Java. It fully complies with the CORBA 2.4.2 specification and
provides a lot of features, services and extensions.

This native package provides a collection of native libraries
that are used by OpenORB to achieve tasks that are currently
not possible to achieve in pure Java.

%prep

%setup -q -n native

gzip -dc %{SOURCE1} | tar xf -

for j in $(find . -name "*.jar"); do
  mv $j $j.no
done

%patch0 -p0

%build

export CLASSPATH=""
CLASSPATH=$CLASSPATH:$(build-classpath ant/ant-contrib cpptasks junit)
ant \
  -DVERSION_MAJOR=1 \
  -DVERSION_MINOR=4 \
  -DVERSION_MINOR_CHANGE=0 \
  -buildfile src/build.xml \
  -Dbuild.compiler=modern \
  -Dant.build.javac.source=1.4 -Dant.build.javac.target=1.4 \
  jar-all

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

mkdir -p %{buildroot}%{_javadir}
mkdir -p %{buildroot}%{_jnidir}
mkdir -p %{buildroot}%{_libdir}/openorb

install -m 644 lib/openorb_native-%{version}.jar %{buildroot}%{_libdir}/openorb/openorb-native-%{version}.jar
#Help to debug build on arches i don't own.
ls build/native/Linux/
if [ %{_arch} = x86_64 ] ; then
	install -pm 755 build/native/Linux/amd64/libopenorb.so %{buildroot}%{_libdir}/openorb/
else
	install -pm 755 build/native/Linux/%_arch/libopenorb.so %{buildroot}%{_libdir}/openorb/
fi
(
  cd %{buildroot}%{_libdir}/openorb
  for jar in *-%{version}*; do
    ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`
  done
  ln -s ../openorb/openorb-native-%{version}.jar %{buildroot}%{_jnidir}/openorb-native.jar
)

install -m 644 lib/openorb_native_test-%{version}.jar %{buildroot}%{_javadir}/openorb-native-test-%{version}.jar

(
  cd %{buildroot}%{_javadir}
  for jar in *-%{version}.jar; do
    ln -sf ${jar} ${jar/-%{version}/}
  done
)

%files
%dir %{_libdir}/openorb
%{_libdir}/openorb/openorb-native-%{version}.jar
%{_libdir}/openorb/openorb-native.jar
%{_libdir}/openorb/libopenorb.so
%{_jnidir}/openorb-native.jar
%{_javadir}/openorb-native-test-%{version}.jar
%{_javadir}/openorb-native-test.jar
%doc LICENSE.txt README TODO WHATSNEW



%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.4.0-2.mga3
+ Revision: 362071
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Aug 28 2011 dmorgan <dmorgan> 1.4.0-1.mga2
+ Revision: 135871
- Fix builrequires
- Try to fix build on x86_64

  + gil <gil>
    - imported package openorb-native

